diff -ruN uppsrc/ide/ide.lay uppsrc/ide/ide.lay
--- uppsrc/ide/ide.lay	2011-10-10 00:19:07 +0600
+++ uppsrc/ide/ide.lay	2011-10-29 18:34:36 +0600
@@ -527,8 +527,8 @@
 	ITEM(ArrayCtrl, list, HSizePosZ(8, 8).VSizePosZ(8, 40))
 	ITEM(Button, ok, SetLabel(t_("OK")).RightPosZ(80, 64).BottomPosZ(8, 24))
 	ITEM(Button, cancel, SetLabel(t_("Cancel")).RightPosZ(12, 64).BottomPosZ(8, 24))
-	ITEM(Label, dv___3, SetLabel(t_("Find")).LeftPosZ(8, 28).BottomPosZ(9, 19))
-	ITEM(EditString, find, LeftPosZ(36, 124).BottomPosZ(9, 19))
+	ITEM(Label, dv___3, SetLabel(t_("Find")).LeftPosZ(8, 60).BottomPosZ(9, 19))
+	ITEM(EditString, find, LeftPosZ(72, 124).BottomPosZ(9, 19))
 END_LAYOUT
 
 LAYOUT(UppOptDlg, 520, 68)
diff -ruN uppsrc/ide/Virtuals.cpp uppsrc/ide/Virtuals.cpp
--- uppsrc/ide/Virtuals.cpp	2010-03-25 02:05:07 +0600
+++ uppsrc/ide/Virtuals.cpp	2011-10-29 19:10:02 +0600
@@ -57,17 +57,19 @@
 	}
 
 	void Sync() {
-		String name = ~find;
+		String name = ToLower((String)~find);
 		String k = list.GetKey();
 		list.Clear();
 		for(int i = 0; i < item.GetCount(); i++) {
-			CppItemInfo f;
-			(CppItem&)f = item[i];
-			f.virt = false;
-			f.name = item[i].name;
-			if(memcmp_i(name, f.name, name.GetCount()) == 0)
+			String lname = ToLower(item[i].name);
+			if (lname.Find(name) >= 0) {
+				CppItemInfo f;
+				(CppItem&)f = item[i];
+				f.virt = false;
+				f.name = item[i].name;
 				list.Add(item.GetKey(i), f.natural, RawToValue(f),
-				         item[i].defined, item[i].overed);
+					item[i].defined, item[i].overed);
+			}
 		}
 		if(!list.FindSetCursor(k))
 			list.GoBegin();
